<template>
  <v-container
    id="dashboard-view"
    fluid
    tag="section"
  >
    <v-row>
      <v-col
        cols="12"
        md="12"
      >
        <material-card
          color="orange"
          full-header
        >
          <template #heading>
            <div class="pa-8 white--text">
              <div class="text-h4 font-weight-light">
                Register Applying
              </div>
              <!-- <div class="text-caption">
                New employees on 15th September, 2016
              </div> -->
            </div>
          </template>
          <v-card-text>
            <v-data-table
              v-model="selected"
              :headers="headers"
              :items="items"
              show-select
            />
          </v-card-text>
          <v-btn
            elevation="2"
            @click="approve"
          >
            approve
          </v-btn>

          <v-btn
            elevation="2"
            @click="refuse"
          >
            refuse
          </v-btn>
        </material-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
  import { showEnterpriseInfo, auditEnterprises, showEnterprises } from '@/request/api'
  export default {
    name: 'DashboardView',

    data: () => ({
      //       userName,
      // userType
      // userCode
      headers: [
        {
          sortable: false,
          text: 'ID',
          value: 'id',
        },
        {
          sortable: false,
          text: 'userName',
          value: 'userName',
        },
        {
          sortable: false,
          text: 'userCode',
          value: 'userCode',
          align: 'right',
        },
        {
          sortable: false,
          text: 'Telephone',
          value: 'borrowerTelephone',
          align: 'right',
        },
        {
          sortable: false,
          text: 'Address',
          value: 'borrowerAddress',
          align: 'right',
        },
        {
          sortable: false,
          text: 'Telephone',
          value: 'borrowerName',
          align: 'Name',
        },
        {
          sortable: false,
          text: 'Link',
          value: 'borrowerLink',
          align: 'right',
        },
        {
          sortable: false,
          text: 'mail',
          value: 'borrowerEmail',
          align: 'right',
        },
        // {
        //   sortable: false,
        //   text: 'City',
        //   value: 'city',
        //   align: 'right',
        // },
      ],
      items: [],
      singleSelect: false,
      selected: [],

    }),

    mounted: async function () {
      const params = []
      // showEnterprises().then(resolve => {
      //   console.log(resolve)
      //   resolve.shift() // 删除第一个
      //   for (let i = 0; i < resolve.length; i++) {
      //     const userName = resolve[i].userName
      //     showEnterpriseInfo({ userName }).then(resolve2 => {
      //       console.log(resolve2)
      //       const temp = { id: i, ...resolve[i], ...resolve2 }
      //       params.push(temp)
      //     })
      //   }
      // })

      const p1 = await showEnterprises()

      p1.shift()

      for (let i = 0; i < p1.length; i++) {
        const temp = await showEnterpriseInfo({ userName: p1[i].userName })
        console.log(temp)
        const a1 = { id: i, ...temp }
        console.log(a1)
        params.push(a1)
      }

      this.items = params
    },

    beforeUpdate: function () {
      // console.log(this.selected.length) // 取到selected的数据
      // console.log(this.selected[0].id)
    },

    methods: {
      approve: function () {
        console.log(this.selected)
        const length = this.selected.length
        for (let i = 0; i < length; i++) {
          console.log(this.selected[i].userName)// 然后发送统意请求
          auditEnterprises({
            userName: this.selected[i].userName,
            isValid: 1,
          })
          const index = this.items.findIndex((e) => this.selected[i].id === e.id)
          if (index !== -1) {
            this.items.splice(index, 1)
          }
        }
      },

      refuse: function () {
        console.log(this.selected)
        const length = this.selected.length
        for (let i = 0; i < length; i++) {
          console.log(this.selected[i].userName)// 然后发送拒绝请求
          auditEnterprises({
            userName: this.selected[i].userName,
            isValid: 0,
          })
          const index = this.items.findIndex((e) => this.selected[i].id === e.id)
          if (index !== -1) {
            this.items.splice(index, 1)
          }
        }
      },
    },

  }
</script>
